Package org.w3._1999.xhtml

# Class ButtonContent

java.lang.Object
org.w3._1999.xhtml.ButtonContent

Direct Known Subclasses:
  `Button`

public class ButtonContent extends Object
button uses "Flow" but excludes a, form and form controls <p>Java class for button.content complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="button.content"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <choice maxOccurs="unbounded" minOccurs="0"> <element ref="{http://www.w3.org/1999/xhtml}p"/> <group ref="{http://www.w3.org/1999/xhtml}heading"/> <element ref="{http://www.w3.org/1999/xhtml}div"/> <group ref="{http://www.w3.org/1999/xhtml}lists"/> <group ref="{http://www.w3.org/1999/xhtml}blocktext"/> <element ref="{http://www.w3.org/1999/xhtml}table"/> <group ref="{http://www.w3.org/1999/xhtml}special"/> <group ref="{http://www.w3.org/1999/xhtml}fontstyle"/> <group ref="{http://www.w3.org/1999/xhtml}phrase"/> <group ref="{http://www.w3.org/1999/xhtml}misc"/> </choice> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `content`
  button uses "Flow" but excludes a, form and form controls

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonContent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  button uses "Flow" but excludes a, form and form controls Gets the value of the content property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected List<Object> content
    button uses "Flow" but excludes a, form and form controls

- ## Constructor Details

  - ### ButtonContent

    public ButtonContent()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    button uses "Flow" but excludes a, form and form controls Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `String` `Abbr` `Acronym` `Address` `B` `Bdo` `Big` `Blockquote` `Br` `Cite` `Code` `Del` `Dfn` `Div` `Dl` `Em` `H1` `H2` `H3` `H4` `H5` `H6` `Hr` `I` `Img` `Ins` `Kbd` `Map` `Noscript` `Object` `Ol` `P` `Pre` `Q` `Samp` `Script` `Small` `Span` `Strong` `Sub` `Sup` `Table` `Tt` `Ul` `Var`

    Returns:
      The value of the content property.